Package org.bukkit.entity

# Enum Class Rabbit.Type

java.lang.Object
java.lang.Enum<Rabbit.Type>
org.bukkit.entity.Rabbit.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<Rabbit.Type>`, `Constable`

Enclosing interface:
  Rabbit

public static enum Rabbit.Type extends Enum<Rabbit.Type>
Represents the various types a Rabbit might be.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BLACK`
Black rabbit.
`BLACK_AND_WHITE`
Black with white patches, or white with black patches?
`BROWN`
Chocolate colored rabbit.
`GOLD`
Golden bunny.
`SALT_AND_PEPPER`
Salt and pepper colored, whatever that means.
`THE_KILLER_BUNNY`
Rabbit with pure white fur, blood red horizontal eyes, and is hostile to players.
`WHITE`
Pure white rabbit.

## Method Summary

Modifier and Type
Method
Description
`static Rabbit.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Rabbit.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BROWN

public static final Rabbit.Type BROWN
Chocolate colored rabbit.

### WHITE

public static final Rabbit.Type WHITE
Pure white rabbit.

### BLACK

public static final Rabbit.Type BLACK
Black rabbit.

### BLACK_AND_WHITE

public static final Rabbit.Type BLACK_AND_WHITE
Black with white patches, or white with black patches?

### GOLD

public static final Rabbit.Type GOLD
Golden bunny.

### SALT_AND_PEPPER

public static final Rabbit.Type SALT_AND_PEPPER
Salt and pepper colored, whatever that means.

### THE_KILLER_BUNNY

public static final Rabbit.Type THE_KILLER_BUNNY
Rabbit with pure white fur, blood red horizontal eyes, and is hostile to players.

## Method Details

### values

public static Rabbit.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Rabbit.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null